Subject: FVWM: submenu hysteresis

From: Victor Eijkhout <[email-masked]>
Date: Wed, 6 Nov 2002 16:28:56 -0500

http://www.mackido.com/Interface/hysteresis.html

I dont' believe fvwm has it, and it would be a Good Thing to have. 
(Why do I say "don't believe"? Well, it looks like you can move 
diagonally to a submenu item, but that seems more due to the submenu 
not collapsing as long as no new submenu pops up.)
-- 
Victor Eijkhout <[email-masked]>
tel: 865 974 9308 (W), 865 673 6998 (H), 865 974 8296 (F)
http://www.cs.utk.edu/~eijkhout/
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Wed, 06 Nov 2002 17:31:26 -0500

> not collapsing as long as no new submenu pops up.)

I think you are looking for

MenuStyle "*" PopupDelayed, PopupDelay 150

Interesting web page.

-- 
Dan Espen                           E-mail: [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Wed, 6 Nov 2002 23:25:35 +0000

> MenuStyle "*" PopupDelayed, PopupDelay 150

Actually Victor is looking more for PopdownDelay, something like:

  MenuStyle * PopupDelayed, PopupDelay 100, PopdownDelayed, PopdownDelay 200

> Interesting web page.

Yet another proprietary system Y vus proprietary system Z flame war. :)

Regards,
Mikhael.

---

From: Dan Espen <[email-masked]>
Date: Wed, 06 Nov 2002 19:38:22 -0500

>   MenuStyle * PopupDelayed, PopupDelay 100, PopdownDelayed, PopdownDelay 200

I don't know, I don't have any popdown delays configured, and
I could do anything the web page mentioned.
It looks to me like either one does the job.

> > Interesting web page.
> 
> Yet another proprietary system Y vs proprietary system Z flame war. :)

The directional stuff in the Mac sounded interesting, but I think
FVWM with all its configurability would look pretty good in any
comparison.

---

From: Mikhael Goikhman <[email-masked]>
Date: Thu, 7 Nov 2002 00:58:50 +0000

> It looks to me like either one does the job.

This is because "PopdownDelayed, PopdownDelay 150" is a default.
But who knows, maybe someone has PopdownImmediately in the config he uses.

Regards,
Mikhael.

---

From: Mikhael Goikhman <[email-masked]>
Date: Thu, 7 Nov 2002 05:34:39 +0000

On 06 Nov 2002 21:28:00 -0500, Victor Eijkhout wrote:
> Time and space being equivalent? The way hysteresis is described on 
> that web page it's more like there's a "funnel" in which the mouse 
> can move from item to subitem. Which means that I can move slower 
> than whatever delay I specify.

If you want to experiment with the delay values, set this:

  MenuStyle * PopupActiveArea 100

so there are no special effects on the right side of a menu.

Delays are working this way. A menu is not popped up until a submenu item
is not selected for PopupDelayed milliseconds. If you move to another
submenu item, the countdown is started again.

A menu is going away only after it is not selected for PopdownDelayed
milliseconds. So here you can't configure a speed of the allowed deviation
only the time of such deviation by that you should reach a submenu.

Does not that page say just this? "The time delay is quite small, so the
move has to be pretty quick -- but without it, hierarchical menus would be
far more annoying."

> Besides, if I move diagonally from item to subitem, other items on 
> the "item" level will still highlight while I'm moving over them, 
> which is counterintuitive, since their submenus do not get activated.

I think it would be counterintuitive if the currently pointed item would
_not_ be selected. (Unless this is explicitely asked, FVWM has such
feature as posting/unposting a submenu by a single click on it.)

All browsers I have (that use GTK and QT) behave exactly like the default
FVWM menus in that they select the currently pointed submenu item even if
another menu is currently popped up (hysteresis in your terms).

If you think any other system is working differently, explain how exactly.

Regards,
Mikhael.